import { IValutions } from '../models/IValutions'

import btc from '../assets/images/btc.svg'
import usdt from '../assets/images/usdt.svg'
import eth from '../assets/images/eth.svg'

export const valuations: IValutions[] = [
  {
    title: 'BTC',
    img: btc,
    alt: 'Bitcoin'
  },
  {
    title: 'USDT',
    img: usdt,
    alt: 'Tether'
  },
  {
    title: 'ETH',
    img: eth,
    alt: 'Ethereum'
  }
]

export const convertConfig = {
  cryptoInterval: 20000, // Crypto prices update interval in ms (default 5 seconds on Node.js & 15 seconds on Browsers)
  fiatInterval: 60 * 1e3 * 60, // Fiat prices update interval (default every 1 hour)
  calculateAverage: true, // Calculate the average crypto price from exchanges
  binance: true, // Use binance rates
  bitfinex: true, // Use bitfinex rates
  coinbase: true, // Use coinbase rates
  kraken: true, // Use kraken rates
  HTTPAgent: null // HTTP Agent for server-side proxies (Node.js only)
}
