import { ChangeEvent, Dispatch } from 'react'
import { convert } from '../index'

export const regexInput = (e: ChangeEvent<HTMLInputElement>) => {
  let [_, sign, integer, decimals]: any = e.target.value
    .replace(/[^\d\.\-]/g, '')
    .replace(/(\..*?)\./g, '$1')
    .replace(/(.+)-/g, '$1')
    .match(/^(-?)(.*?)((?:\.\d*)?)$/)

  let pos: number = Number(e.target.selectionStart) - 1
  if (!integer && decimals) pos += 2

  if (integer || decimals) {
    integer = +integer
  }

  const formatted = sign + integer + decimals

  if (formatted !== e.target.value) {
    e.target.value = formatted
    e.target.setSelectionRange(pos, pos)
  }
}

export const getRelationToCurrency = async (
  from: string,
  to: string,
  value: number,
  setValue: Dispatch<string>
) => {
  await convert.ready()
  setValue(convert[from][to](value) || 0)
}

export const actualDate = () => `
    ${new Date(convert.lastUpdated).toLocaleDateString()}
    ${new Date(convert.lastUpdated)
      .getHours()
      .toString()
      .padStart(2, '0')}:${new Date(convert.lastUpdated)
    .getMinutes()
    .toString()
    .padStart(2, '0')}
  `
